aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlex AUVOLAT <alex.auvolat@ens.fr>2014-10-09 21:10:05 +0200
committerAlex AUVOLAT <alex.auvolat@ens.fr>2014-10-09 21:10:05 +0200
commit6baff50d93bbc05c1f216a61fc288f265afcf31a (patch)
tree04c528f91c4e925b20d4521ad6be0703e11f5e68
parent8c61f527fe94ec1c4786101dd6ac5281e447023d (diff)
downloadcross-scripts-6baff50d93bbc05c1f216a61fc288f265afcf31a.tar.gz
cross-scripts-6baff50d93bbc05c1f216a61fc288f265afcf31a.zip
Update & compilation fix.
-rwxr-xr-xcross-x86.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/cross-x86.sh b/cross-x86.sh
index 23f96be..711840d 100755
--- a/cross-x86.sh
+++ b/cross-x86.sh
@@ -1,7 +1,7 @@
#!/bin/sh
-GCC=4.8.0
-BINUTILS=2.23.2
+GCC=4.9.1
+BINUTILS=2.24
ARCH=x86
cd `dirname $0`
@@ -29,7 +29,7 @@ mkdir build-gcc-$GCC
echo " =>> STARTING BUILD <<="
cd build-binutils-$BINUTILS
-../binutils-$BINUTILS/configure --prefix=$PREFIX --target=$TARGET --disable-nls || exit
+../binutils-$BINUTILS/configure --prefix=$PREFIX --target=$TARGET --disable-nls --disable-werror || exit
make configure-host || exit
make all || exit
make install || exit
@@ -37,7 +37,7 @@ make install || exit
export PATH=$PATH:$PREFIX/bin
cd ../build-gcc-$GCC
-../gcc-$GCC/configure --prefix=$PREFIX --target=$TARGET --disable-nls --enable-languages=c,c++ --without-headers || exit
+../gcc-$GCC/configure --prefix=$PREFIX --target=$TARGET --disable-nls --enable-languages=c,c++ --without-headers --disable-werror || exit
make all-gcc || exit
make install-gcc || exit
make all-target-libgcc || exit